%define rbname rdtool
Summary: RD formatter
Name: ruby-%{rbname}

%global momorel		2
%define	emacsver	21.3
%define xemacsver	21.4
%define	e_sitedir	%{_datadir}/emacs/site-lisp
%define	xe_sitedir	%{_datadir}/xemacs/site-lisp
%define	sitepdir	%{_datadir}/xemacs/site-packages

Version: 0.6.13
Release: %{momorel}m
Group: Applications/Text
License: GPL
URL: http://www2.pos.to/~tosh/ruby/%{rbname}/

%NoSource 0 http://www2.pos.to/~tosh/ruby/%{rbname}/archive/%{rbname}-%{version}.tar.gz 93c4f48c2c4e87949fe99ddc437b700c

Patch0: %{rbname}-0.6.6-kondara.patch
Patch1: %{rbname}-0.6.13-output-format-visitor.rb-for-ruby-1.8.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby-racc, ruby-amstd, xemacs-sumo
BuildRequires: emacs >= %{emacsver}
BuildRequires: xemacs >= %{xemacsver}
BuildArch: noarch

Requires: ruby, ruby-racc-runtime, ruby-optparse, ruby-strscan, ruby-amstd
Obsoletes: rdtool
Provides: rdtool

%description
RD document formatter & library. RD is the standard documentation
format in the commmunity of Object Oriented Scripting Language: Ruby.

%package -n rd-mode-emacs
Group: Applications/Editors
Summary: Major mode for RD editing on Emacs
Requires: emacs

%description -n rd-mode-emacs
Major mode for RD editing.

%package -n rd-mode-xemacs
Group: Applications/Editors
Summary: Major mode for RD editing on XEmacs
Requires: xemacs

%description -n rd-mode-xemacs
Major mode for RD editing.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n rdtool-%{version}
%patch -p1 -b .kondara
%patch1 -p0

%build
ruby rdtoolconf.rb
make
(cd utils
  emacs -batch -q -no-site-file -f batch-byte-compile rd-mode.el
  %__mv rd-mode.elc rd-mode.elc.emacs
  xemacs -batch -q -no-site-file -f batch-byte-compile rd-mode.el
  %__mv rd-mode.elc rd-mode.elc.xemacs
)

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{ruby_libdir}/rd

make install
make install-rmi2html
(cd utils
  %__install -m 755 rdswap.rb %{buildroot}%{_bindir}
  %__mkdir_p %{buildroot}%{_datadir}/emacs/site-lisp/rd
  %__install -m 644 rd-mode.el %{buildroot}%{e_sitedir}/rd
  %__install -m 644 rd-mode.elc.emacs %{buildroot}%{e_sitedir}/rd/rd-mode.elc
  %__mkdir_p %{buildroot}%{xe_sitedir}/rd
  %__install -m 644 rd-mode.el %{buildroot}%{xe_sitedir}/rd
  %__install -m 644 rd-mode.elc.xemacs %{buildroot}%{xe_sitedir}/rd/rd-mode.elc
)

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr (-,root,root)
%{_bindir}/rd2
%{_bindir}/rmi2html.rb
%{_bindir}/rdswap.rb
%{ruby_libdir}/rd
%doc README.html README.rd README.rd.ja HISTORY doc

%files -n rd-mode-emacs
%defattr(-,root,root)
%{e_sitedir}/rd

%files -n rd-mode-xemacs
%defattr(-,root,root)
%{xe_sitedir}/rd

%changelog
* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.6.13-2m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Wed Aug 20 2003 HOSONO Hidetomo <h12o@h12o.org>
- (0.6.13-1m)
- version up
- apply Patch1: rdtool-0.6.13-output-format-visitor.rb-for-ruby-1.8.patch

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.6.11-5m)
- merge from ruby-1_8-branch.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (0.6.11-4m)
- rebuild against ruby-1.8.0.

* Wed Nov 13 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (0.6.11-3m)
- requires ruby-racc-runtime, not ruby-racc.
- use rbconfig.

* Mon May 20 2002 Junichiro Kita<kita@kondara.org>
- (0.6.11-2k)
- ver up

* Tue Nov 13 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.6.10-10k)
- grab directory

* Thu Nov  1 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.6.10-8k)
- apply rdtool-0.6.10-rd2html-lib.rb.patch
- never use %triggerin

* Thu Oct 25 2001 Kenta MURATA <muraken2@nifty.com>
- (1.6.10-6k)
- use %triggerin section for rd-mode-emacsen

* Fri Oct 19 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.6.10-4k)
- add rdtool.rdblockparser.ry.patch

* Mon Oct  8 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.6.10-2k)
- add utils/rdswap.rb
- merge 'rd-mode-emacs' package
- make 'rd-mode-xemacs' package

* Wed Mar 28 2001 Kenta MURATA <muraken2@nifty.com>
- (1.6.7-3k)
- version 1.6.7

* Thu Oct 19 2000 Toru Hoshina <toru@df-usa.com>
- it should be suitable to both ruby 1.4.x and 1.6.x.

* Tue Oct 16 2000 Toru Hoshina <toru@df-usa.com>
- rebuild against ruby 1.6.1.

* Tue Sep 12 2000 Toru Hoshina <t@kondara.org>
- renamed ruby-rdtool from rdtool.

* Sat Jun 18 2000 AYUHANA Tomonori <l@kondara.org>
- add ruby-amstd at BuildPreReq
- add -q at %setup

* Sat Jun 10 2000 OZAWA -Crouton- Sakuro <crouton@duelists.org>
- Upstream new version.

* Sun Apr 23 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( Copyright, Group, BuildRoot, Summary )

* Thu Apr 20 2000 Toru Hoshina <t@kondara.org>
- add BuildPreReq tag for racc.
- No architecture dependency.

* Sat Apr  8 2000 OZAWA -Crouton- Sakuro <crouton@duelists.org>
- First release for Kondara.

